Bug 20154 - Stay in the open tab when editing authority record
Summary: Stay in the open tab when editing authority record
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-07 16:55 UTC by Patrick Robitaille
Modified: 2020-11-30 21:51 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 20154: Stay in the open tab when editing authority record (1.67 KB, patch)
2020-07-13 20:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20154: Stay in the open tab when editing authority record (1.73 KB, patch)
2020-07-16 19:06 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 20154: Stay in the open tab when editing authority record (1.79 KB, patch)
2020-08-10 21:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Robitaille 2018-02-07 16:55:25 UTC
Hi, 

When we consult an authority in the authorities module, it would be nice too stay in the tab that are actually open when we switch to edit mode. Currently when you consult an authority notice and you open a tab (for exemple the tab 2) if you switch to the edit mode we will automaticaly arrive at the record in edit mode but with tab "0" open.

Patrick.
Comment 1 Owen Leonard 2020-07-13 20:16:21 UTC
Created attachment 106852 [details] [review]
Bug 20154: Stay in the open tab when editing authority record

This patch adds some JavaScript to the authority record detail page in
the staff interface so that clicking "Edit" will take you to the
authority edit page while keeping the same tab open.

To test, apply the patch and locate an authority record in your catalog.

 - Click any of the numbered tabs besides tab 0.
 - Choose "Edit record" from the "Edit" dropdown menu.
 - When the authorities edit page loads the same tab should be
   preselected.
Comment 2 ByWater Sandboxes 2020-07-16 19:06:59 UTC
Created attachment 106966 [details] [review]
Bug 20154: Stay in the open tab when editing authority record

This patch adds some JavaScript to the authority record detail page in
the staff interface so that clicking "Edit" will take you to the
authority edit page while keeping the same tab open.

To test, apply the patch and locate an authority record in your catalog.

 - Click any of the numbered tabs besides tab 0.
 - Choose "Edit record" from the "Edit" dropdown menu.
 - When the authorities edit page loads the same tab should be
   preselected.

Signed-off-by: Marjorie <marjorie.barry-vila@collecto.ca>
Comment 3 Katrin Fischer 2020-07-16 19:26:23 UTC
Hi Marjorie, the sandboxes don't update the bug status - please remember to switch to "signed off" :)
Comment 4 Marjorie Barry-Vila 2020-07-16 19:27:24 UTC
(In reply to Katrin Fischer from comment #3)
> Hi Marjorie, the sandboxes don't update the bug status - please remember to
> switch to "signed off" :)

oups! thanks!

Marjorie
Comment 5 Katrin Fischer 2020-08-10 21:29:11 UTC
Created attachment 108022 [details] [review]
Bug 20154: Stay in the open tab when editing authority record

This patch adds some JavaScript to the authority record detail page in
the staff interface so that clicking "Edit" will take you to the
authority edit page while keeping the same tab open.

To test, apply the patch and locate an authority record in your catalog.

 - Click any of the numbered tabs besides tab 0.
 - Choose "Edit record" from the "Edit" dropdown menu.
 - When the authorities edit page loads the same tab should be
   preselected.

Signed-off-by: Marjorie <marjorie.barry-vila@collecto.ca>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2020-08-13 05:56:54 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-08-17 15:31:02 UTC
enhancement will not be backported to 20.05.x